%global git_commit 63c07d8
%global cluster apache-geronimo-yoko
%define pkg_version 0-g%{git_commit}
Name:          yoko
Version:       1.0
Release:       %mkrel 1
Summary:       Apache Geronimo Yoko ORB - CORBA Server
Group:         Development/Java
License:       ASL
Url:           http://geronimo.apache.org/
Source0:       https://download.github.com/%{cluster}-yoko-%{version}-%{pkg_version}.zip
Patch0:        geronimo-yoko-1.0-poms.patch
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: ant-trax
BuildRequires: antlr
BuildRequires: bcel
BuildRequires: concurrent
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-plugin-idlj
BuildRequires: plexus-compiler
Requires:      bcel
Requires:      jpackage-utils
BuildArch:     noarch

%description
Apache Geronimo Yoko ORB - CORBA Server.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Apache Geronimo Yoko ORB - CORBA Server.

This package contains javadoc for %{name}.

%prep
%setup -q -n apache-geronimo-yoko-33a0be6
%patch0 -p1

# dont apply apache harmony require ...
#sed -i "|<addClasspath>true</addClasspath>|<addClasspath>false</addClasspath>|" pom,xml

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=plexus \
  -DartifactId=plexus-compiler-api \
  -Dversion=1.5 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath plexus/compiler-api) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=concurrent \
  -DartifactId=concurrent \
  -Dversion=1.3.4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath concurrent) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=ant \
  -DartifactId=ant-trax \
  -Dversion=1.6.5 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath ant) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-antrun-plugin \
  -Dversion=1.1 \
  -Dpackaging=maven-plugin \
  -Dfile=$(build-classpath maven-antrun-plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 yoko-spec-corba/target/yoko-spec-corba-%{version}.jar %{buildroot}%{_javadir}/
install -pm 0644 rmi-spec/target/yoko-rmi-spec-%{version}.jar %{buildroot}%{_javadir}/
install -pm 0644 rmi-impl/target/yoko-rmi-impl-%{version}.jar %{buildroot}%{_javadir}/
install -pm 0644 core/target/yoko-core-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}/
# apache harmony require ... ln -sf yoko-spec-corba-%{version}.jar yoko-%{version}.jar
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-yoko.pom
%add_to_maven_depmap org.apache.yoko yoko %{version} JPP yoko
install -pm 0644 yoko-spec-corba/pom.xml %{buildroot}%{_mavenpomdir}/JPP-yoko-spec-corba.pom
%add_to_maven_depmap org.apache.yoko yoko-spec-corba %{version} JPP yoko-spec-corba
install -pm 0644 rmi-spec/pom.xml %{buildroot}%{_mavenpomdir}/JPP-yoko-rmi-spec.pom
%add_to_maven_depmap org.apache.yoko yoko-rmi-spec %{version} JPP yoko-rmi-spec
install -pm 0644 rmi-impl/pom.xml %{buildroot}%{_mavenpomdir}/JPP-yoko-rmi-impl.pom
%add_to_maven_depmap org.apache.yoko yoko-rmi-impl %{version} JPP yoko-rmi-impl
install -pm 0644 core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-yoko-core.pom
%add_to_maven_depmap org.apache.yoko yoko-core %{version} JPP yoko-core

mkdir -p %{buildroot}%{_javadocdir}/yoko
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/yoko/

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root) 
%{_javadir}/yoko-core-%{version}.jar
%{_javadir}/yoko-core.jar
%{_javadir}/yoko-rmi-impl-%{version}.jar
%{_javadir}/yoko-rmi-impl.jar
%{_javadir}/yoko-rmi-spec-%{version}.jar
%{_javadir}/yoko-rmi-spec.jar
%{_javadir}/yoko-spec-corba-%{version}.jar
%{_javadir}/yoko-spec-corba.jar
#%{_javadir}/yoko-%{version}.jar
#%{_javadir}/yoko.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc KEYS LICENSE NOTICE README.txt

%files javadoc
%defattr(-,root,root) 
%{_javadocdir}/yoko



%changelog

* Sat Nov 05 2011 gil <gil> 1.0-1.mga2
+ Revision: 163859
- imported package yoko


* Mon Jun 27 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm